package com.nantian.cloud.jly.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * 能源计量器具准确度等级统计汇总表
 *
 * @date 2020-09-14 12:01:57
 */
@TableName("check_level_degree_report")
@ApiModel(value = "能源计量器具准确度等级统计汇总表B9")
public class CheckLevelDegreeReport implements Serializable {
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	@TableId
	private Long id;

	/*类别*/
	@ApiModelProperty(value = "类别")
	private String type;

	/*目的*/
	@ApiModelProperty(value = "目的")
	private String purpose;
	/**
	 * 审查计划ID
	 */
	@ApiModelProperty(value = "审查计划ID")
	private Long checkPlanId;
	/**
	 * 企业社会信用代码
	 */
	@ApiModelProperty(value = "企业社会信用代码")
	private String epc;
	/**
	 * 序号
	 */
	@ApiModelProperty(value = "序号")
	private Integer num;
	/**
	 * 用户id
	 */
	@ApiModelProperty(value = "用户id")
	private Integer userid;
	/**
	 * 更新时间
	 */
	@ApiModelProperty(value = "更新时间")
	private Date updateTime;
	/**
	 * 注销状态（1：未删除，4：已删除）
	 */
	@ApiModelProperty(value = "注销状态")
	private String delFlag;
	/**
	 * 部门id
	 */
	@ApiModelProperty(value = "部门id")
	private Integer deptId;
	/**
	 * 进出用能单位准确度等级要求
	 */
	@ApiModelProperty(value = "进出用能单位准确度等级要求")
	private String inoutLevel;
	/**
	 * 进出用能单位实际准确度等级
	 */
	@TableField(value="inout_degree",strategy= FieldStrategy.IGNORED)
	@ApiModelProperty(value = "进出用能单位实际准确度等级")
	private String inoutDegree;
	/**
	 * 进出主要次级用能单位准确度等级要求
	 */
	@ApiModelProperty(value = "进出主要次级用能单位准确度等级要求")
	private String secondaryLevel;
	/**
	 * 进出主要次级用能单位实际准确度等级
	 */
	@TableField(value="secondary_degree",strategy= FieldStrategy.IGNORED)
	@ApiModelProperty(value = "进出主要次级用能单位实际准确度等级")
	private String secondaryDegree;
	/**
	 * 主要用能设备准确度等级要求
	 */
	@ApiModelProperty(value = "主要用能设备准确度等级要求")
	private String mainLevel;
	/**
	 * 主要用能设备实际准确度等级
	 */
	@TableField(value="main_degree",strategy= FieldStrategy.IGNORED)
	@ApiModelProperty(value = "主要用能设备实际准确度等级")
	private String mainDegree;
	/**
	 * 其他准确度等级要求
	 */
	@ApiModelProperty(value = "其他准确度等级要求")
	private String otherLevel;
	/**
	 * 其他实际准确度等级
	 */
	@TableField(value="other_degree",strategy= FieldStrategy.IGNORED)
	@ApiModelProperty(value = "其他实际准确度等级")
	private String otherDegree;

	/**
	 * 设置：id
	 */
	public void setId(Long id) {
		this.id = id;
	}
	/**
	 * 获取：id
	 */
	public Long getId() {
		return id;
	}
	/**
	 * 设置：审查计划ID
	 */
	public void setCheckPlanId(Long checkPlanId) {
		this.checkPlanId = checkPlanId;
	}
	/**
	 * 获取：审查计划ID
	 */
	public Long getCheckPlanId() {
		return checkPlanId;
	}
	/**
	 * 设置：企业社会信用代码
	 */
	public void setEpc(String epc) {
		this.epc = epc;
	}
	/**
	 * 获取：企业社会信用代码
	 */
	public String getEpc() {
		return epc;
	}
	/**
	 * 设置：序号
	 */
	public void setNum(Integer num) {
		this.num = num;
	}
	/**
	 * 获取：序号
	 */
	public Integer getNum() {
		return num;
	}
	/**
	 * 设置：用户id
	 */
	public void setUserid(Integer userid) {
		this.userid = userid;
	}
	/**
	 * 获取：用户id
	 */
	public Integer getUserid() {
		return userid;
	}
	/**
	 * 设置：更新时间
	 */
	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	/**
	 * 获取：更新时间
	 */
	public Date getUpdateTime() {
		return updateTime;
	}
	/**
	 * 设置：注销状态（1：未删除，4：已删除）
	 */
	public void setDelFlag(String delFlag) {
		this.delFlag = delFlag;
	}
	/**
	 * 获取：注销状态（1：未删除，4：已删除）
	 */
	public String getDelFlag() {
		return delFlag;
	}
	/**
	 * 设置：部门id
	 */
	public void setDeptId(Integer deptId) {
		this.deptId = deptId;
	}
	/**
	 * 获取：部门id
	 */
	public Integer getDeptId() {
		return deptId;
	}
	/**
	 * 设置：进出用能单位准确度等级要求
	 */
	public void setInoutLevel(String inoutLevel) {
		this.inoutLevel = inoutLevel;
	}
	/**
	 * 获取：进出用能单位准确度等级要求
	 */
	public String getInoutLevel() {
		return inoutLevel;
	}
	/**
	 * 设置：进出用能单位实际准确度等级
	 */
	public void setInoutDegree(String inoutDegree) {
		this.inoutDegree = inoutDegree;
	}
	/**
	 * 获取：进出用能单位实际准确度等级
	 */
	public String getInoutDegree() {
		return inoutDegree;
	}
	/**
	 * 设置：进出主要次级用能单位准确度等级要求
	 */
	public void setSecondaryLevel(String secondaryLevel) {
		this.secondaryLevel = secondaryLevel;
	}
	/**
	 * 获取：进出主要次级用能单位准确度等级要求
	 */
	public String getSecondaryLevel() {
		return secondaryLevel;
	}
	/**
	 * 设置：进出主要次级用能单位实际准确度等级
	 */
	public void setSecondaryDegree(String secondaryDegree) {
		this.secondaryDegree = secondaryDegree;
	}
	/**
	 * 获取：进出主要次级用能单位实际准确度等级
	 */
	public String getSecondaryDegree() {
		return secondaryDegree;
	}
	/**
	 * 设置：主要用能设备准确度等级要求
	 */
	public void setMainLevel(String mainLevel) {
		this.mainLevel = mainLevel;
	}
	/**
	 * 获取：主要用能设备准确度等级要求
	 */
	public String getMainLevel() {
		return mainLevel;
	}
	/**
	 * 设置：主要用能设备实际准确度等级
	 */
	public void setMainDegree(String mainDegree) {
		this.mainDegree = mainDegree;
	}
	/**
	 * 获取：主要用能设备实际准确度等级
	 */
	public String getMainDegree() {
		return mainDegree;
	}
	/**
	 * 设置：其他准确度等级要求
	 */
	public void setOtherLevel(String otherLevel) {
		this.otherLevel = otherLevel;
	}
	/**
	 * 获取：其他准确度等级要求
	 */
	public String getOtherLevel() {
		return otherLevel;
	}
	/**
	 * 设置：其他实际准确度等级
	 */
	public void setOtherDegree(String otherDegree) {
		this.otherDegree = otherDegree;
	}
	/**
	 * 获取：其他实际准确度等级
	 */
	public String getOtherDegree() {
		return otherDegree;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPurpose() {
		return purpose;
	}

	public void setPurpose(String purpose) {
		this.purpose = purpose;
	}
}
